org.apache.http.conn.util

## Class PublicSuffixMatcherLoader

- java.lang.Object
- - org.apache.http.conn.util.PublicSuffixMatcherLoader

-     @Contract(threading=SAFE)
      public final class PublicSuffixMatcherLoader
      extends Object

  `PublicSuffixMatcher` loader.
  Since:
    4.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PublicSuffixMatcherLoader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PublicSuffixMatcher` | `getDefault()`
    `static PublicSuffixMatcher` | `load(File file)`
    `static PublicSuffixMatcher` | `load(URL url)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PublicSuffixMatcherLoader

          public PublicSuffixMatcherLoader()

  - ### Method Detail

    - #### load

          public static PublicSuffixMatcher load(URL url)
                                          throws IOException

      Throws:
        `IOException`

    - #### load

          public static PublicSuffixMatcher load(File file)
                                          throws IOException

      Throws:
        `IOException`

    - #### getDefault

          public static PublicSuffixMatcher getDefault()

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.